declare type RPCReceiver = {
    [RPCGroup in string]: any;
};
/**
 * Dynamic library to communicate with FrontblockService remotely
 *
 * This will be automatically injected into the webpages served by FrontblockService
 * Will ask it's service for available RPCs and parse them into methods of this object
 * for convenient access.
 */
export declare class RPCaller implements RPCReceiver {
    private socket;
    constructor(port: number, server: string, tls?: boolean);
    connect(): Promise<void>;
    info(): Promise<any>;
    private callGenerator;
    private hookGenerator;
    private unhookGenerator;
}
export {};
